//
//  FileListViewController.m
//  PlayDemo0.6
//
//  Created by psdk on 15/6/15.
//  Copyright (c) 2015年 Dahua. All rights reserved.
//

#import "FileListViewController.h"
#include "ViewController.h"

@interface FileListViewController ()
- (IBAction)on_switch_valuechanged:(UISwitch *)sender;
@property (strong, nonatomic) IBOutlet UISwitch *switch_sm;
@property (strong, nonatomic) IBOutlet UILabel *label_sm;
@property (strong, nonatomic) IBOutlet UITableView *tableView;
@property (retain, nonatomic) NSArray* listData;
@end

@implementation FileListViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    CGRect b = self.view.bounds;
    NSLog(@"bounds %f %f", b.size.width, b.size.height);
    
    self.tableView.frame = CGRectMake(0, 20, b.size.width, b.size.height - 80 - 20);
    
    self.label_sm.frame = CGRectMake(10, b.size.height - 40 - 20, 110, 40);
    
    self.switch_sm.frame = CGRectMake(self.label_sm.frame.origin.x + self.label_sm.frame.size.width + 5, b.size.height - 40 - 20 + 3, 50, 40);
    
    // Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)viewDidAppear:(BOOL)animated
{
    NSArray * paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString* documentDirectory = [paths objectAtIndex:0];
    
    self.listData = [self getFilenamelistofType:@"pcm bmp" fromDirPath:documentDirectory];
    
    NSLog(@"bianlikaishi");
    for (NSString *fileName in self.listData)
    {
        NSLog(fileName);
    }
    NSLog(@"bianlijieshu");
    
    [self.tableView reloadData];
}

- (NSInteger)tableView:(UITableView*)tableView numberOfRowsInSection:(NSInteger)section
{
    return [self.listData count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *Simple = @"SimpleTableIdentifier";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:Simple];
    
    if(cell == nil)
    {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:Simple];
    }
    
    cell.textLabel.text = self.listData[indexPath.row];
        
    return cell;
}

- (void) tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    self.filename = self.listData[indexPath.row];
    
    //UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"select" message:self.selectedFile delegate:nil cancelButtonTitle:@"yes i do" otherButtonTitles:nil, nil];
    
    //[alert show];
    
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    
    [self.rootvc changeVC:0];
}

- (NSArray*)getFilenamelistofType:(NSString*)type fromDirPath:(NSString*)dirPath
{
    NSFileManager *fileManager = [[NSFileManager defaultManager] init];
    NSMutableArray *filenamelist = [NSMutableArray arrayWithCapacity:20];
    
    
    NSArray *tmplist = [fileManager contentsOfDirectoryAtPath:dirPath error:nil];
    
    for (NSString *fileName in tmplist)
    {
        NSString* fullpath = [dirPath stringByAppendingPathComponent:fileName];
        if([fileManager fileExistsAtPath:fullpath])
        {
            NSLog(@"here !!! %@ %d", [fileName pathExtension], [[fileName pathExtension] isEqualToString:@"dav"]);
            
            NSRange nn = [type rangeOfString:[fileName pathExtension]];
            if(nn.location == NSNotFound)
            //if ([[fileName pathExtension] isEqualToString:type])
            {
                NSLog(@"%@", fileName);
                [filenamelist addObject:fileName];
            }
            
        }
    }
    
    [filenamelist addObject:@"Cancel"];
    
    return filenamelist;
}

- (IBAction)on_switch_valuechanged:(UISwitch *)sender {
    self.streammode = [sender isOn];
    NSLog(@"nnnn %d", self.streammode);
}

-(void)willAnimateRotationToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation duration:(NSTimeInterval)duration
{
    NSLog(@"bbb");
}

@end
